<?php
// Testwörter einzeln zeigen + Textbox für Übersetzung.

// Start the PHP session
session_start();

if(isset($_POST['submit'])){

  ///////////////////////
  // Collect form data //
  ///////////////////////

  $SubjectID = $_SESSION["SubjectID"]; // get subject ID from session info (assigned to session info in instructions.php)
  $Stimulus = $_SESSION["stimuli_productive"][$_SESSION["index"]]["Stimulus"];	// get current stimulus
  $Index = $_SESSION["index"]; // get current iteration (starts at 0, increases by 1 after each iteration)
  $Translation = $_POST["translation"]; // get translation
  $Date = date("Ymd-H:i:s");

  // set the data of the CSV
  $Content = "\"$SubjectID\", \"$Date\", \"$Index\", \"$Stimulus\", \"$Translation\" \n";

  // set the file name and create CSV file
  $FileName = "translationsproductive_".$SubjectID.".csv";
  file_put_contents("data/".$FileName, $Content, FILE_APPEND);

  // Increase session index by one
  $_SESSION["index"] += 1;

  // Change this to number of stimuli - 1
  if($_SESSION["index"] > 14) {
    // Direct to instructions_receptive.php when form has been processed.
  header('Location: instructions_receptive.php?ID='.$SubjectID);
	exit();
  }

}
?>

<!DOCTYPE html>
<html lang = "nl">

<head>
  <meta charset="UTF-8">

  <script type="text/javascript" src="//code.jquery.com/jquery-1.8.3.js"></script>

  <link rel="stylesheet" type="text/css" href="stylesheet.css">

  <title>Translation P</title>


</head>

<body>

  <div class="outer">
    <div class="middle">
      <div class="inner">

        <div class="content">

          <p class="stimulus"><? echo($_SESSION["stimuli_productive"][$_SESSION["index"]]["Stimulus"]); ?></p>

          <form method = "post" autocomplete="off">
            <p>Übersetzung auf Englisch: <br />
              <input type = "text" name = "translation" required autofocus/>
            </p>
            
            <p><input type = "submit" name = "submit" value = "weiter" class = "button"/></p>
            </form>

          </div> <!-- close content -->

        </div> <!-- close inner -->
      </div> <!-- close middle -->
    </div> <!-- close outer -->

  </body>

</html>
