<?php
// Evaluation Unterrichtsaktivitäten

// Start the PHP session
session_start();

if(isset($_POST['submit'])){

  ///////////////////////
  // Collect form data //
  ///////////////////////

  $SubjectID = $_SESSION["SubjectID"]; // get subject ID from session info (assigned to session info in instructions.php)
  $Date = date("Ymd-H:i:s");

  // Bearbeitete Aufgaben
  $Tasks = $_POST['Tasks'];
  $Tasks = implode("; ", $Tasks);

  // Feedback zur Intervention
  $fun = $_POST['fun'];
  $necessary = $_POST['necessary'];
  $new = $_POST['new'];
  $helpful = $_POST['helpful'];

  // Zusätliche Kommentare
  $comment = $_POST['comment'];

  // set the data of the CSV
  $Content = "\"$SubjectID\", \"$Date\", \"$Tasks\", \"$fun\", \"$necessary\", \"$new\", \"$helpful\", \"$comment\" \n";

  // set the file name and create CSV file
  $FileName = "evaluation_".$SubjectID.".csv";
  file_put_contents("data/".$FileName, $Content, FILE_APPEND);

   // Go to words/non-words test page and exit once all stimuli have been presented
   header('Location:ninasurvey_nonwords.html?ID='.$SubjectID);
   exit();

}
?>

<!DOCTYPE html>
<html>

<head>
  <script type="text/javascript" src="//code.jquery.com/jquery-1.8.3.js"></script>


	<!-- style definiert, wie der Fragebogen aussehen soll. Nach eigenem ästhetischem Geschmack anpassen. -->
  <style type="text/css">
    #vragenlijst {text-align: left; line-height: 170%;
    font-size: 14px; font-family: Verdana, "sans-serif";}

    p.center {text-align: center;}

    input {font-size:14px; font-family: Verdana, "sans-serif";}
    select {font-size:14px; font-family: Verdana, "sans-serif";}

    /*div.sectie {padding-bottom: 5px; margin-bottom: 5px;
    }*/


    .outer {
      display: table;
      position: absolute;
      height: 100%;
      width: 100%;
    }

    .middle {
      display: table-cell;

    }

    .inner {
      margin-left: auto;
      margin-right: auto;
      max-width: 750px;
    }

    /*
    label {display: block; margin-left: 20px;}
    input {float: left; margin-left: -20px; margin-right: 7px;}
    */

    span.beschrijving {
      display: block;
      margin-top: -26px;
      margin-bottom: 16px;
      margin-left: 28px;
      max-width: 45em;
    }

    hr {
      display: block;
      margin-top: 20px;
      margin-bottom: 20px;
      margin-left: auto;
      margin-right: auto;
      border-style: inset;
      border-width: 1px;
    }

    form .likert {
      list-style:none;
      width:100%;
      margin:0;
      padding:0 0 0px;
      display:block;
    }
    form .likert:last-of-type {border-bottom:0;}
    form .likert:before {
      content: '';
      position:relative;
      top:11px;
      left:9.5%;
      display:block;
      height:4px;
      width:78%;
    }
    form .likert li {
      display:inline-block;
      width:19%;
      text-align:center;
      vertical-align: top;
    }
    form .likert li input[type=radio] {
      display:block;
      position:relative;
      top:0;
      left:50%;
      margin-left:-6px;

    }
    /*form .likert li label {width:100%;}
    form .buttons {
    margin:30px 0;
    padding:0 4.25%;
    text-align:right
  }
  form .buttons button {
  padding: 5px 10px;
  background-color: #67ab49;
  border: 0;
  border-radius: 3px;
  }*/

  </style>

  <title>Feedback</title>
  <meta charset="UTF-8">

</head>

<body>

  <div class="outer">
    <div class="middle">
      <div class="inner">

        <div id="vragenlijst">

          <h1>Feedback</h1>

          <div class="sectie">
            <p>In den letzten Wochen hast du ähnliche Wörter zwischen Deutsch und Englisch unter die Lupe genommen, Regeln gefunden und diese in neuen Paaren gesucht.
            Gerne möchte ich von dir wissen, was du darüber denkst.</p>
            </div>

            <form method='post'>
    
              <div class="sectie">
                <hr />
                <p>Als Einstieg habt ihr über Parallelwörter gesprochen, anhand von Streifen Regeln gefunden und Plakate dazu gestaltet. Welche Aufgaben hast
                du danach bearbeitet? Kreuze alle an, die du gemacht hast.<br />
                  <input type="checkbox" name="Tasks[]" id="DoubleChanges" value="DoubleChanges"> <label for="DoubleChanges">AB Double Changes / Wörter mit zwei Änderungen (mit Linien verbinden)</label><br/>
                  <input type="checkbox" name="Tasks[]" id="Animals" value="Animals"> <label for="Animals">AB Animals / Tiere (Suchsel)</label><br/>
                  <input type="checkbox" name="Tasks[]" id="Body" value="Body"> <label for="Body">AB Body parts / Körperteile (Schüttelwörter)</label><br/>
                  <input type="checkbox" name="Tasks[]" id="Menu" value="Menu"> <label for="Menu">AB Eat & Drink / Menü zusammenstellen </label><br/>
                  <input type="checkbox" name="Tasks[]" id="Adjectives" value="Adjectives"> <label for="Adjectives">Adjektiv-Domino</label><br/>
                  <input type="checkbox" name="Tasks[]" id="Verbs" value="Verbs"> <label for="Verbs">Verben Bingo</label><br/>
                  <input type="checkbox" name="Tasks[]" id="Collect" value="Collect"> <label for="Collect">Wörter sammeln zu Regeln</label><br/>
                </p>
              </div>

              <div class="sectie">
              	<hr />
                <p>Gerne möchte ich nun von dir erfahren, was du über die Lernerfahrung denkst.<br />
                </p>
                <p>
                <table class="grid" cellspacing="10">
                <tr>
                  <td></td>
                  <td>stimmt<br>gar nicht</td>
                  <td>stimmt<br>eher nicht</td>
                  <td>stimmt<br>eher</td>
                  <td>stimmt<br>ganz genau</td>
                </tr>
                <tr>
                  <td class="griditem">Mir hat es Spass gemacht, Ähnlichkeiten zwischen den Wörtern zu entdecken.</td>
                  <td><input type=radio  name="fun" value="1" required></td>
                  <td><input type=radio  name="fun" value="2"></td>
                  <td><input type=radio  name="fun" value="3"></td>
                  <td><input type=radio  name="fun" value="4"></td>
                </tr>
                <tr>
                  <td class="griditem">Ich finde es unnötig, dass wir solche Regeln lernen.</td>
                  <td><input type=radio  name="necessary" value="4" required></td>
                  <td><input type=radio  name="necessary" value="3"></td>
                  <td><input type=radio  name="necessary" value="2"></td>
                  <td><input type=radio  name="necessary" value="1"></td>
                </tr>
                <tr>
                  <td class="griditem">Diese Regeln kannte ich schon vorher.</td>
                  <td><input type=radio  name="new" value="4" required></td>
                  <td><input type=radio  name="new" value="3"></td>
                  <td><input type=radio  name="new" value="2"></td>
                  <td><input type=radio  name="new" value="1"></td>
                </tr>
                <tr>
                  <td class="griditem">Ich denke, dass mir diese Regeln beim Lernen von Englischwörtern helfen können.</td>
                  <td><input type=radio  name="helpful" value="1" required></td>
                  <td><input type=radio  name="helpful" value="2"></td>
                  <td><input type=radio  name="helpful" value="3"></td>
                  <td><input type=radio  name="helpful" value="4"></td>
                </tr>
                
                </table>
                </p>
              </div>

              <div class="sectie">
                <hr />
                <p>Was ich noch sagen möchte:<br />
                  <input type="text" name="comment" id="comment" placeholder="comment"></span><br/>
                </p>
              </div>

						  <hr />
						  <p class="center"><input type="submit" name ="submit" value="fertig" />
						  </p>

                </form>
              </div>
            </div>
          </div>
        </div>
      </body>
      </html>



